Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.component
Interface ComponentsXmlParser

All Known Implementing Classes:
  DefaultComponentXmlParser

    public interface ComponentsXmlParser

A components XML parsers contains information required to parse components contained by a single component bundle.

Version:
  $Id: ComponentsXmlParser.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`XmlDigesterConfigurer` | `getDigesterConfigurer()` Returns a digester configurer for the component bundle.
`java.lang.String` | `getInternalSchemaResource()` Returns a resource name that resolves to an internal XML schema resource.
`java.lang.String` | `getNamespace()` Returns the namespace used by the component bundle.
`java.lang.String` | `getPublicSchemaLocation()` Returns the public location of the component bundle XML schema.

Method Detail

### getNamespace

    java.lang.String getNamespace()

  Returns the namespace used by the component bundle.

  The XML representation of the components will use this namespace.

  Returns:
    the component bundle namespace

### getPublicSchemaLocation

    java.lang.String getPublicSchemaLocation()

  Returns the public location of the component bundle XML schema.

  This would be listed in `schemaLocation` XML attributes.

  Returns:
    the public location of the component bundle XML schema

### getInternalSchemaResource

    java.lang.String getInternalSchemaResource()

  Returns a resource name that resolves to an internal XML schema resource.

  If not null, the resource (which needs to be present on the classpath) will be used when parsing component XML fragments instead of the public XML schema.

  Returns:
    the name of the internal XML schema resource

### getDigesterConfigurer

    XmlDigesterConfigurer getDigesterConfigurer()

  Returns a digester configurer for the component bundle.

  The digester configurer is responsible for providing digester rules that transform an XML fragment into a `Component` instance.

  Returns:
    a digester configurer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com